petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscLayoutFindOwner

Find the owning rank for a global index

### Synopsis

    PETSC_STATIC_INLINE PetscErrorCode PetscLayoutFindOwner(PetscLayout map,PetscInt idx,PetscInt *owner)

Not Collective

### Input Parameters

| map | - the layout
| idx | - global index to find the owner of

### Output Parameter

owner -the owning rank

### Fortran Notes

Not available from Fortran

Level:developer
Location:src/vec/is/is/../../../../include/petscis.h
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages